curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-03/records/memberships/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"objectTypeId": "<string>",
"recordId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"objectTypeId": "<string>",
"recordId": "<string>",
"recordListMemberships": [
{
"firstAddedTimestamp": "2023-11-07T05:31:56Z",
"lastAddedTimestamp": "2023-11-07T05:31:56Z",
"listId": "<string>",
"listVersion": 123,
"isPublicList": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/lists/2026-03/records/memberships/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"objectTypeId": "<string>",
"recordId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"objectTypeId": "<string>",
"recordId": "<string>",
"recordListMemberships": [
{
"firstAddedTimestamp": "2023-11-07T05:31:56Z",
"lastAddedTimestamp": "2023-11-07T05:31:56Z",
"listId": "<string>",
"listVersion": 123,
"isPublicList": true
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Show child attributes
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Show child attributes
Was this page helpful?